QGIS Application - Bug report #11459
Editing Composer legend while filtered does not work
2014-10-21 09:11 AM - Alexandre Neto

Status: Closed

Priority: High

Assignee: Martin Dobias

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19735
Description

In Print Composer, if a legend is using filter my map content try to edit one of the legend elements migth lead to undesired results. This is
true for both editing the lable, deleting legend items or reordering it.

In the images below | have tried to change a item "RECOLTE" name to "RECOLTE_2", and as you can see it changes another item
instead. | believe this is something to do with the legenf item idex, since the item | was trying to edit is in the third line when the legend is
filtered, and the edited item is in the same position when the legend is not filtered

To replicate, create a categorized view of any layer and create a map with it. Filter legend to map content and zoom to an area where
some categories are filtered. Now try to edit labels, delete items or reorder them.

Associated revisions

Revision ¢7204cc7 - 2016-01-27 05:51 AM - Nyall Dawson

Fix editing composer legend titles while filtering enabled (fix #11459)

History

#1 - 2014-10-21 09:25 AM - Alexandre Neto

Forgot to say that | was using QGIS 2.5 962a7d9. So changes might have been done in the meanwhile.

#2 - 2014-10-21 09:15 PM - Martin Dobias
- Priority changed from Severe/Regression to High

Lowering priority as this is not a blocker (editing works when filtering is turned off)

#3 - 2014-10-31 05:55 AM - Jiirgen Fischer

- Target version changed from Version 2.6 to Future Release - High Priority

#4 - 2015-02-13 11:14 PM - Lene Fischer

Same issue in 2.6.1
When | edit a filtered version of the legend, is act as if it is unfiltered

Having a list with 4 posts
Filtering and now see post 1 and 4 - viewing only 2 posts
Try to edit post 4 - nothing change

Unfilter and post no. 2 has the changes.

See video http://screencast.com/t/okfwS2a8m

#5 - 2016-01-26 08:58 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"c7204cc72285489461722fd5¢1669310ac53edc7".
